Subject: Re: emacs - Entry Point not found error
From: "Mani Krishnan Venkatachari" <[email-masked]>
To: [email-masked]
Date: Tue, 03 Jun 2003 19:02:05 +0530

Hi Joe,

Thanks for giving me a lead on the error. I noticed that the name conflicted with an existing application that had the same name for the libSM.dll and that created the problem. When, I uninstalled the application, emacs works fine.

Regards,
Mani.

--------- Original Message ---------

DATE: Tue, 3 Jun 2003 08:39:06 
From: Igor Pechtchanski <[email-masked]>
To: Joe Buehler <[email-masked]>
Cc: [email-masked]

>On Tue, 3 Jun 2003, Joe Buehler wrote:
>
>> Mani Krishnan Venkatachari wrote:
>>
>> >   I installed the new version of cygwin recently. When I try to load
>> > emacs, it gives a dialog box with the following error.
>> >
>> > "The procedure entry point SmClientID could not be located in the dynamic link lilbrary lilbSM.dll"
>>
>> That library is in the Xfree86-bin package.  It lives in /usr/X11R6/bin.
>> Make sure you have the package installed and that the directory is in your
>> PATH.
>>
>> It may be that libSM.dll has changed in a recent XFree86 release, in which
>> case there is a big problem.
>
>Joe,
>
>I've read on the cygwin-xfree list about the intent to eventually rename
>lib*.dll to cyg*.dll to conform to cygwin dynamic library naming
>standards.  See <http://cygwin.com/ml/cygwin-xfree/2003-05/msg00491.html>.
>This is not currently happening, AFAIU; just a heads-up.
>	Igor
>-- 
>				http://cs.nyu.edu/~pechtcha/
>      |\      _,,,---,,_		[email-masked]
>ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
>    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
>
>"I have since come to realize that being between your mentor and his route
>to the bathroom is a major career booster."  -- Patrick Naughton
>
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Problem reports:       http://cygwin.com/problems.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/
>
>

____________________________________________________________
Get advanced SPAM filtering on Webmail or POP Mail ... Get Lycos Mail!
http://login.mail.lycos.com/r/referral?aid=27005

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/